sata_scr_write
Prev | Chapter 4. libata Library | Next

## Name

sata_scr_write — write SCR register of the specified port

## Synopsis

`int sata_scr_write (` | struct ata_port * | ap,
| int | reg,
| u32 | val`)`;

## Arguments

`ap`

  ATA port to write SCR for

`reg`

  SCR to write

`val`

  value to write

## Description

Write `val` to SCR register `reg` of `ap`. This function is guaranteed to succeed if the cable type of the port is SATA and the port implements ->scr_read.

## LOCKING

None.

## RETURNS

0 on success, negative errno on failure.

Prev | Up | Next
sata_scr_read | Home | sata_scr_write_flush